Bug 491946 - Review Request: odfpy07 - compat package for odfpy
Review Request: odfpy07 - compat package for odfpy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 14:53 EDT by Matthew Daniels
Modified: 2009-10-14 16:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 21:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Daniels 2009-03-24 14:53:54 EDT
Spec URL: http://fedorapeople.org/~danielsmw/odfpy07/odfpy07.spec
SRPM URL: http://fedorapeople.org/~danielsmw/odfpy07/odfpy07-0.7-3.fc10.src.rpm
Description: A compat package for odfpy.  This package was created and submitted to fix a bug with mw-render, which requires odfpy 0.7.  I should also note that this is my first package, and I'd need a sponsor before I could actually get this in the repositories.
Comment 1 Michel Alexandre Salim 2009-03-25 10:40:45 EDT
The naming convention (I've not seen a guideline for this) appears to be to have compatibility packages be named compat-%{name} (or, more rarely, %{name}-compat). e.g. compat-db*, compat-gcc-*, compat-python24*.

How about compat-odfpy07?
Comment 2 Matthew Daniels 2009-03-25 10:53:30 EDT
The only guideline I was really going off of there was from the Naming Guidelines' example [1] about openssl and openssl096b.  I'd be happy to change it to compat-odfpy07 if that's the convention.  I'll upload a new SPEC/SRPM file as soon as I get the chance to make the edit.

[1] https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Multiple_packages_with_the_same_base_name
Comment 3 Toshio Ernie Kuratomi 2009-04-01 21:20:01 EDT
The naming is fine.  Since there's no compile step in python, the compat-$FOO vs $FOO$VER naming is a little mixed.  I think $FOO$VER is better unless we're putting the module in some sort of private directory.
Comment 4 Toshio Ernie Kuratomi 2009-04-01 22:32:14 EDT
So, before we do this, has anyone tried submitting a port to odfpy0.8 for python-mwlibs upstream?  That's really the right thing to do.  (I'll add a patch to the python-mwlibs bug now).
Comment 5 Toshio Ernie Kuratomi 2009-06-23 18:24:31 EDT
Do we want to close this since mwlibs has been ported to the new odfpy?
Comment 6 Matthew Daniels 2009-10-07 21:21:34 EDT
This package became irrelevant when Ian Weller updated mw-render anyway, so I'm closing the bug request.

Note You need to log in before you can comment on or make changes to this bug.